Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226569 - Merge Review: xorg-sgml-doctools
Summary: Merge Review: xorg-sgml-doctools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:21 UTC by Nobody's working on this, feel free to take it
Modified: 2010-09-02 18:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-02 18:50:53 UTC
tcallawa: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:21:20 UTC
Fedora Merge Review: xorg-sgml-doctools

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-sgml-doctools/
Initial Owner: sandmann@redhat.com

Comment 1 Roozbeh Pournader 2007-02-06 14:51:56 UTC
Random notes:
* License (MIT/X11 mentioned) cannot be confirmed as being free/open source, as
the only file that is shipped in the package lacks any license header and
nothing else in the package talks about the file's license. (BLOCKER)
* As the "make" line in %build does nothing, you may remove it.
* The package puts files in /usr/share/sgml without owning the directory or
depending on any other package that owns the directory. (BLOCKER)

Comment 2 Jerry Amundson 2010-09-02 04:22:55 UTC
My assumption is that the Assigned To here is either,
1. Deceased, or
2. Not interested.

Comment 3 Jason Tibbitts 2010-09-02 15:19:12 UTC
The ticket shouldn't be assigned to the package owner anyway.  It should be assigned to a reviewer.

If someone wants to provide review commentary, I'm happy to fix the package up.

Regarding the license issue, the current version (1.5) of the package has proper license info in a COPYING file.  Unfortunately the Fedora version is about four years out of date.  I'd just update it if I had any clue what this package was actually for.

This package could simply own /usr/share/sgml, or depend on xml-common (which is tiny).

I think I'll just go ahead and update this package.  Given the recent FESCo decision, I can't then review it but hopefully someone else will.

Comment 4 Jason Tibbitts 2010-09-02 15:52:24 UTC
OK, I've updated the package in rawhide to address the review commentary from comment 1 but have not yet built it (in case someone decides that me messing with the package was a poor idea and wants to undo what I've done).  Updating to 1.5 added several new files, including a pkgconfig file, which unfortunately causes rpmlint to complain:

xorg-sgml-doctools.noarch: W: devel-file-in-non-devel-package
   /usr/share/pkgconfig/xorg-sgml-doctools.pc

Pretty sure there's no point in adding a separate -devel pacakge just for this.

Comment 5 Jerry Amundson 2010-09-02 17:36:17 UTC
Or,
3. Assigned To is busy, and has other priorities!

My apologies for the earlier remark - I have bugs with no activity for months and assumed otherwise. But I see updates by sandmann@redhat.com as recently as 2010-08-24 09:11:27 EDT.

I'll try to help by marking duplicates. Sorry for the noise.

Comment 6 Jason Tibbitts 2010-09-02 17:58:50 UTC
Cleaning up flags and assignments; hopefully someone will come 'round and review this trivial package.

Comment 7 Jason Tibbitts 2010-09-02 18:02:59 UTC
And unblocking FE-Legal, since the updated version has a proper license.

Comment 8 Tom "spot" Callaway 2010-09-02 18:30:59 UTC
== Review ==
Good:

- rpmlint checks return:

xorg-sgml-doctools.src: W: no-cleaning-of-buildroot %install
xorg-sgml-doctools.src: W: no-cleaning-of-buildroot %clean
xorg-sgml-doctools.src: W: no-buildroot-tag
xorg-sgml-doctools.src: W: no-%clean-section

These are safe to ignore.

xorg-sgml-doctools.noarch: W: devel-file-in-non-devel-package /usr/share/pkgconfig/xorg-sgml-doctools.pc

Given that this package is really only useful for generating xorg docs, I think it falls into the following exception:

"A reasonable exception is when the main package itself is a development tool not installed in a user runtime, e.g. gcc or gdb. "

- package meets naming guidelines
- package meets packaging guidelines
- license (MIT) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (0e135d7c848d8b740df71895aa00ed8354406979e01f0df50a243fcd46452e20)
- package compiles on devel (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.

Comment 9 Jason Tibbitts 2010-09-02 18:50:53 UTC
I must have sat on the easy button and not noticed.


Note You need to log in before you can comment on or make changes to this bug.